Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QAbstractSocket.SocketState

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QAbstractSocket.SocketState

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractSocket

    public static final class QAbstractSocket.SocketState

extends java.lang.Enum
implements QtEnumerator

The `SocketState` enumeration represents the connection state of a QUnixSocket instance.

See Also:
  Serialized Form

Field Summary
`static QAbstractSocket.SocketState` | `BoundState`
`static QAbstractSocket.SocketState` | `ClosingState` The connection is being closed, following a call to QUnixSocket.:close().
`static QAbstractSocket.SocketState` | `ConnectedState` The connection is established.
`static QAbstractSocket.SocketState` | `ConnectingState`
`static QAbstractSocket.SocketState` | `HostLookupState`
`static QAbstractSocket.SocketState` | `ListeningState`
`static QAbstractSocket.SocketState` | `UnconnectedState` The connection is not established.

Method Summary
`static QAbstractSocket.SocketState` | `resolve(int value)` Returns the SocketState constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractSocket.SocketState` | `valueOf(java.lang.String name)`
`static QAbstractSocket.SocketState[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UnconnectedState

    public static final QAbstractSocket.SocketState UnconnectedState

  The connection is not established.

### HostLookupState

    public static final QAbstractSocket.SocketState HostLookupState

### ConnectingState

    public static final QAbstractSocket.SocketState ConnectingState

### ConnectedState

    public static final QAbstractSocket.SocketState ConnectedState

  The connection is established.

### BoundState

    public static final QAbstractSocket.SocketState BoundState

### ListeningState

    public static final QAbstractSocket.SocketState ListeningState

### ClosingState

    public static final QAbstractSocket.SocketState ClosingState

  The connection is being closed, following a call to QUnixSocket.:close(). While closing, any pending data will be transmitted, but further writes by the application will be refused.

Method Detail

### values

    public static QAbstractSocket.SocketState[] values()

### valueOf

    public static QAbstractSocket.SocketState valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractSocket.SocketState resolve(int value)

  Returns the SocketState constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD